/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *    
 *   Copyright (C) 2001 – 2018 by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or 
 *   modify it under the terms of the GNU General Public License as 
 *   published by the Free Software Foundation; either version 2 of 
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. 
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@posteo.de
 *
 *********************************************************************/

#pragma once

#include "../heuristic.h"

/** Jab the color trick with a dolle
 **/
class Heuristic::JabColorTrickWithDolle : public Heuristic {
  public:
    explicit JabColorTrickWithDolle(Ai const& ai);
    JabColorTrickWithDolle(JabColorTrickWithDolle const&) = delete;
    JabColorTrickWithDolle& operator=(JabColorTrickWithDolle const&) = delete;

    ~JabColorTrickWithDolle() override;

    Card get_card(Trick const& trick) override;
}; // class Heuristic::JabColorTrickWithDolle : public Heuristic
